autolink.index.see
Prev | ToC/LoT/Index Generation | Next

## autolink.index.see

autolink.index.see — Link index see and seealso to index primary

## Synopsis

    <xsl:param name="autolink.index.see" select="1"></xsl:param>

## Description

If this param is set to a non-zero value, (default = 1), then the stylesheet will attempt for form a link between a `see` or `seealso` element and a matching indexterm `primary` element.

The stylesheet uses an exact text match after applying the `normalize-space()` function. If the `see` or `seealso` text contains a comma, then only the text prior to the comma is used. This assumes the author is using the convention "see primary, secondary" to specify a subentry. Automatic links always land on the primary entry in the index, so the reader has to look down to see the secondary entry.

If there is no match on a `primary`, no link is formed, but the text still displays.

No attempt is made to automatically link to text in `secondary` or `tertiary` elements. If you want to link to such elements, you can form a manual link by adding a linkend attribute to the `see` or `seealso` element, where the linkend references an id or xml:id attribute on such a subelement. Such manual links take precedence over any automatic links.

If this parameter is zero, then no automatic links from see and seealso are formed within the index. Any manual links are still processed, however.

Prev | Up | Next
index.div.title.properties | Home | index.number.separator